NE_HAS_SUPPORT(3)

NAME
ne_has_support - determine feature support status

SYNOPSIS

#include <ne_utils.h>

int ne_has_support(int feature);

DESCRIPTION

The ne_has_support function can be used to determine whether a particular optional feature, given by the feature code feature, is supported. The following feature codes are available:

NE_FEATURE_SSL
    Indicates support for SSL/TLS

NE_FEATURE_ZLIB
    Indicates support for compressed responses

NE_FEATURE_IPV6
    Indicates support for IPv6

NE_FEATURE_LFS
    Indicates support for large files

NE_FEATURE_SOCKS
    Indicates support for SOCKSv5

NE_FEATURE_TS_SSL
    Indicates support for thread-safe SSL initialization — see ne_sock_init

RETURN VALUE

ne_has_support returns non-zero if the given feature is supported, or zero otherwise.

SEE ALSO

ne_version_match(3), ne_sock_init(3)

AUTHOR

Joe Orton <neon@lists.manyfish.co.uk>

    Author.

COPYRIGHT